Setting Up a Development Environment

Published 7 November 2017, Updated 17 October 2018
develop GRiSP applications, you need the following:

  1. A working Erlang installation.

    GRiSP works with Erlang 21.0, so we recommend installing that. You can use your OS packages manager, or better yet a version manager such as kerl or asdf.

  2. The GRiSP Rebar 3 plugin installed globally (only needed to create new projects from a template).

For more detailed guides, see the following pages:

For the requirements for building the VM from source, see Building the VM from source.

Next Step#

Continue with the guide Creating Your First GRiSP Application.